function ret_val = createCsfWriterCamera(file_location, camera)
  % createCsfWriterCamera
  %   Create csf writer from camera
  %
  % Inputs:
  %   file_location - string - Path to where the csf file should be created
  %   camera - Camera - A camera
  %
  % Output:
  %   ret_val - CsfWriter - csf writer
  %

  ret_val = tof.mex('tof_create_csf_writer_camera', file_location, camera.get_object_ptr());
  ret_val = tof.CsfWriter(ret_val);
end

